## golang-github-go-git-go-git-fixtures 4.3.1~git20240304.46037e5

=== Makefile ===
# Go parameters
GOCMD = go
GOTEST = $(GOCMD) test 

test:
	$(GOTEST) ./...

generate: $(esc)
	$(GOCMD) generate

## golang-github-go-git-go-git-fixtures 4.2.2

=== debian/changelog ===
golang-github-go-git-go-git-fixtures (4.2.2-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Pirate Praveen <praveen@debian.org>  Sun, 21 Nov 2021 20:34:46 +0530

golang-github-go-git-go-git-fixtures (4.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #998878)

 -- Pirate Praveen <praveen@debian.org>  Tue, 09 Nov 2021 15:36:03 +0530

=== debian/control ===
Source: golang-github-go-git-go-git-fixtures
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev,
               golang-gopkg-check.v1-dev,
               golang-github-go-git-go-billy-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git-fixtures
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git-fixtures.git
Homepage: https://github.com/go-git/go-git-fixtures
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/go-git/go-git-fixtures

Package: golang-github-go-git-go-git-fixtures-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-stretchr-testify-dev,
         golang-gopkg-check.v1-dev,
         golang-github-go-git-go-billy-dev,
         ${misc:Depends}
Description: Several git fixtures to run go-git tests
 go-git-fixtures git repository fixtures used by go-git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/go-git/go-git-fixtures/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-go-git-go-git-fixtures 4.3.1~git20240304.46037e5

=== debian/changelog ===
golang-github-go-git-go-git-fixtures (4.3.1~git20240304.46037e5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.3.1~git20240304.46037e5
  * Bump Standards-Version to 4.6.2 (no changes)
  * d/watch: use git commits instead of tags
  * d/rules: install data/ into build directory

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Tue, 16 Apr 2024 15:36:53 +0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                golang-github-stretchr-testify-dev,
                golang-gopkg-check.v1-dev,
                golang-github-go-git-go-billy-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git-fixtures
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git-fixtures.git
 Homepage: https://github.com/go-git/go-git-fixtures

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := data/

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=4.3.1~git%cd.%h" \
  https://github.com/go-git/go-git-fixtures.git \
  HEAD
